This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Routing Rules

1 - 1.0

get /v1/direct-connects/{direct_connect_id}/routing-rules

Description

Get routing rule list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example :
any of [string, null]None
querydestination_type
optional
Destination Type
Example :
enum (VPC, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example :
any of [string, null]None
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKRoutingRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "routing_rules": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination_cidr": "",
            "destination_resource_id": "",
            "destination_resource_name": "",
            "destination_type": "VPC",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "owner_id": "",
            "owner_type": "INTERNET_GATEWAY",
            "state": "CREATING"
        }
    ]
}